<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Form;

use Dedi\SyliusBlogPlugin\Entity\BlogConfigurationBanner;
use Sylius\Component\Core\Uploader\ImageUploaderInterface;

class BlogConfigurationBannerType extends AbstractImageType
{
    public function __construct(ImageUploaderInterface $uploader)
    {
        parent::__construct(BlogConfigurationBanner::class, $uploader);
    }

    public function getBlockPrefix(): string
    {
        return 'dedi_blog_blog_configuration_banner';
    }
}
